<?php
/*
Plugin Name: SecurePress
Version: 4.1.03
Plugin URI: http://www.securelive.net
Description: SecurePress brings the anti-hacking power of SecureLive to your WordPress website!
Author: SecureLive, LLC
Author URI: http://www.securelive.net
*/

// register actions

add_action('init', 'sl_runner', 0);
add_action('admin_menu', 'sl_admin');
//add_action('admin_init', 'sl_warn');
add_action("widgets_init", "init_sl_widget");

// show badge
function sl_widget($args){
    extract($args);
    $options = explode('~', get_option('sl_badge_widget'));
    $series = $options[0];
    $type = $options[1];
    $color = $options[2];
    $base_url = plugins_url() . '/' . dirname(plugin_basename(__FILE__)) . '/';
    echo $before_widget;
    echo '<div align="center"><a href="' . $base_url . 'sl_verify.php" target="_blank" onclick="window.open(\'' . $base_url . 'sl_verify.php\', \'SecureLive_Account_Verification\', \'toolbar=0,scrollbars=0,location=0,statusbar=0,menubar=0,resizable=0,width=636,height=454,left=150,top=150\'); return false;"><img src="https://www.securelive.net/badges/image_create.php?s=' . $series . '&t=' . $type . '&c=' . $color . '" border="0" /></a></div>';
    echo $after_widget;
}

// select badge
function sl_widget_opts(){
    $options = explode('~', get_option('sl_badge_widget'));
    if($options){
    $series = $options[0]; $type = $options[1]; $color = $options[2];
    } else {
        $series = 1; $type = 'max'; $color = 'blk';
    }
    if($_POST['sl_badge_series']){
        $series = $_POST['sl_badge_series'];
        $type = $_POST['sl_badge_type'];
        $color = $_POST['sl_badge_color'];
        update_option('sl_badge_widget', $series . '~' . $type . '~' . $color);
    }
?>
    Save to view your chosen badge for display on your website.<br /><br />
    <select id="sl_badge_series" name="sl_badge_series">
        <option value="1" <?php if($series==1){echo 'selected';}?>>Series 1&nbsp;</option>
        <option value="2" <?php if($series==2){echo 'selected';}?>>Series 2&nbsp;</option>
    </select><br />
    <select id="sl_badge_type" name="sl_badge_type">
        <option value="max" <?php if($type=="max"){echo 'selected';}?>>SL Max&nbsp;</option>
        <option value="jml" <?php if($type=="jml"){echo 'selected';}?>>Joomla&nbsp;</option>
        <option value="map" <?php if($type=="map"){echo 'selected';}?>>Map&nbsp;</option>
        <option value="frm" <?php if($type=="frm"){echo 'selected';}?>>Form&nbsp;</option>
        <option value="ana" <?php if($type=="ana"){echo 'selected';}?>>Analytics&nbsp;</option>
        <option value="blg" <?php if($type=="blg"){echo 'selected';}?>>Blog&nbsp;</option>
        <option value="crt" <?php if($type=="crt"){echo 'selected';}?>>Cart&nbsp;</option>
        <option value="fum" <?php if($type=="fum"){echo 'selected';}?>>Forum&nbsp;</option>
        <option value="plu" <?php if($type=="plu"){echo 'selected';}?>>Plus&nbsp;</option>
    </select><br />
    <select id="sl_badge_color" name="sl_badge_color">
        <option value="blk" <?php if($color=="blk"){echo 'selected';}?>>Black&nbsp;</option>
        <option value="red" <?php if($color=="red"){echo 'selected';}?>>Red&nbsp;</option>
        <option value="yel" <?php if($color=="yel"){echo 'selected';}?>>Yellow&nbsp;</option>
        <option value="blu" <?php if($color=="blu"){echo 'selected';}?>>Blue&nbsp;</option>
        <option value="pur" <?php if($color=="pur"){echo 'selected';}?>>Purple&nbsp;</option>
        <option value="grn" <?php if($color=="grn"){echo 'selected';}?>>Green&nbsp;</option>
    </select><br /><br />
<?php
    echo '<img src="https://www.securelive.net/badges/image_create.php?s=' . $series . '&t=' . $type . '&c=' . $color . '" border="0" />';
}

// init widget / badge
function init_sl_widget(){
    register_sidebar_widget("SecurePress Badge", "sl_widget");
    register_widget_control("SecurePress Badge", "sl_widget_opts");
}

// WP alerts - currently disabled
function sl_warn(){
    /*
    if(!$act_active[0]){
        add_action('admin_notices', create_function('', 'echo "<div class=\"error\"><p>" . sprintf("Thank you for installing SecurePress. Your account should be created within 24 hours.") . "</p></div>";'));
    }
    //get current version from remote
    $wp_ver   = "2.0.01";
    $ver_html = @file('http://www.securelivesw.com/securelive/current_version.inc');
    $cur_wp_ver = $ver_html[3];
    if($wp_ver < trim($cur_wp_ver)){
        add_action('admin_notices', create_function('', 'echo "<div class=\"error\"><p>You are not using the most recent version of SecurePress.</p></div>";'));
    }
    */
}

// register admin section
function sl_admin(){
    add_menu_page('SecurePress Account Info', 'SecurePress', 'activate_plugins', 'SecurePress', 'sl_act');
}

// display admin
function sl_act(){
    global $thisDomainAcct, $sl_engine_ver, $sl_admin_ver;
    $base_url = plugins_url() . '/' . dirname(plugin_basename(__FILE__)) . '/';
    include_once('sl_admin.php');
    //header stuff
    if (array_key_exists('HTTP_USER_AGENT', $_SERVER) && preg_match('/(MSIE\\s?([\\d\\.]+))/', $_SERVER['HTTP_USER_AGENT'], $matches)) {
        $IEbrowser['ie7'] = intval($matches[2]) == 7;
        $IEbrowser['ie8'] = intval($matches[2]) == 8;
    }
    if(empty($IEbrowser)){
        $IEbrowser = array(null);
    }
    //$doc->setMetaData('content-type', 'text/html; charset=utf-8', true);
    //$doc->setMetaData('content-type', 'text/html; _ISO', true);
    //$doc->setMetaData('Content-Style-Type', 'text/css; _ISO', true);
    $pre_output = '<script type="text/javascript" src="'.$base_url.'inc/agree.js"></script>';
    $pre_output .= '<link rel="stylesheet" href="'.$base_url.'css/default.css" type="text/css" />';
    if (isIe(7, $IEbrowser)) {$pre_output .= '<link rel="stylesheet" href="'.$base_url.'css/ie7.css" type="text/css" />';}
    if (isIe(8, $IEbrowser)) {$pre_output .= '<link rel="stylesheet" href="'.$base_url.'css/ie8.css" type="text/css" />';}
    $pre_output .= '<link rel="stylesheet" href="'.$base_url.'css/print.css" type="text/css" media="print" />';
    //end header stuff
    $pre_output .= '<div id="sl_admin_container">';
    echo $pre_output . $output . '</div>';
}

// IE detection for sl_act function
function isIe($version, $IEbrowser) {
    if (array_key_exists('ie'.$version, $IEbrowser)) {
        return $IEbrowser['ie'.$version];
    }
    return false;
}

// SL7 protection
function sl_runner(){
    include_once('sl7.php');
}
?>